# Promise

## ApplicationPrototype.Builder. Promise

#### new Promise(handler) → {PromiseLike}

Source:
  - dictionary.d.js, line 182

##### Parameters:

Name | Type | Description
--- | --- | ---
`handler` | function |

##### Returns:

Type
  PromiseLike

### Methods

#### (static) all(items) → {PromiseLike}

Source:
  - dictionary.d.js, line 190

##### Parameters:

Name | Type | Description
--- | --- | ---
`items` | Array.<Promise> |

##### Returns:

Type
  PromiseLike

#### (static) race(items) → {PromiseLike}

Source:
  - dictionary.d.js, line 197

##### Parameters:

Name | Type | Description
--- | --- | ---
`items` | Array.<Promise> |

##### Returns:

Type
  PromiseLike

#### (static) reject(value) → {PromiseLike}

Source:
  - dictionary.d.js, line 211

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | any |

##### Returns:

Type
  PromiseLike

#### (static) resolve(value) → {PromiseLike}

Source:
  - dictionary.d.js, line 204

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | any |

##### Returns:

Type
  PromiseLike